Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

The class contains the address of a computer on an IP network.

Provides an Internet Protocol (IP) address.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The is created with the property set to .

  If the length of is 4, constructs an IPv4 address; otherwise, an IPv6 address with a scope of 0 is constructed.

  The array is assumed to be in network byte order with the most significant byte first in index position 0.

  Initializes a new instance of the class with the address specified as a array.

  The byte array value of the IP address.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  is less than 0 or greater than 0x00000000FFFFFFFF.

  The instance is created with the property set to .

  The value is assumed to be in network byte order.

  Initializes a new instance of the class with the address specified as an .

  The long value of the IP address. For example, the value 0x2414188f in big-endian format would be the IP address "143.24.20.36".
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor instantiates an IPv6 address. The identifies a network interface in the case of a link-local address. The scope is valid only for link-local and site-local addresses.

  The array is assumed to be in network byte order with the most significant byte first in index position 0.

  Initializes a new instance of the class with the address specified as a array and the specified scope identifier.

  The byte array value of the IP address.
  The long value of the scope identifier.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This property is obsolete. Use GetAddressBytes.")
  System.Int64

  A containing the IP address in host-byte-order.

  The value specified in a set operation is less than 0.

  This property is obsolete. Use .

  To convert to dotted-quad notation, use the method.

  An Internet Protocol (IP) address.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily

  .

  This property is read-only.

  Gets the address family of the IP address.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  The method uses the field to indicate that a instance must listen for client activity on all network interfaces.

  The field is equivalent to 0.0.0.0 in dotted-quad notation.

  Provides an IP address that indicates that the server must listen for client activity on all network interfaces. This field is read-only.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  The field is equivalent to 255.255.255.255 in dotted-quad notation.

  Provides the IP broadcast address. This field is read-only.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method compares the current instance with the parameter and returns true if the two instances contain the same IP address.

  Compares two IP addresses.

  true if the two addresses are equal; otherwise, false.

  An instance to compare to the current instance. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  Provides a copy of the as an array of bytes.

  A array.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The method returns a hash code of the IP address. This value can be used as a key in hash tables.

  Returns a hash value for an IP address.

  An integer hash value.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 ``

  Different computers use different conventions for ordering the bytes within multibyte integer values. Some computers put the most significant byte first (known as big-endian order) and others put the least-significant byte first (known as little-endian order). To work with computers that use different byte ordering, all integer values that are sent over the network are sent in network byte order which has the most significant byte first.

  The method converts multibyte integer values that are stored on the host system from the byte order used by the host to the byte order used by the network.

  Converts a short value from host byte order to network byte order.

  A short value, expressed in network byte order.

  The number to convert, expressed in host byte order. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Different computers use different conventions for ordering the bytes within multibyte integer values. Some computers put the most significant byte first (known as big-endian order) and others put the least-significant byte first (known as little-endian order). To work with computers that use different byte ordering, all integer values that are sent over the network are sent in network byte order which has the most significant byte first.

  The method converts multibyte integer values that are stored on the host system from the byte order used by the host to the byte order used by the network.

  Converts an integer value from host byte order to network byte order.

  An integer value, expressed in network byte order.

  The number to convert, expressed in host byte order. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 ``

  Different computers use different conventions for ordering the bytes within multibyte integer values. Some computers put the most significant byte first (known as big-endian order) and others put the least-significant byte first (known as little-endian order). To work with computers that use different byte ordering, all integer values that are sent over the network are sent in network byte order which has the most significant byte first.

  The method converts multibyte integer values that are stored on the host system from the byte order used by the host to the byte order used by the network.

  Converts a long value from host byte order to network byte order.

  A long value, expressed in network byte order.

  The number to convert, expressed in host byte order. 0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  The field is equivalent to 0:0:0:0:0:0:0:0 in colon-hexadecimal notation, or to :: in compact notation.

  The method uses the field to indicate that a must listen for client activity on all network interfaces.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  The field is equivalent to 0:0:0:0:0:0:0:1 in colon-hexadecimal notation, or to ::1 in compact notation.

  Provides the IP loopback address. This property is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  The method uses the field to indicate that a must not listen for client activity. The field is equivalent to 0:0:0:0:0:0:0:0 in colon-hexadecimal notation, or to ::0 in compact notation.

  Provides an IP address that indicates that no network interface should be used. This property is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets whether the address is an IPv6 link local address.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets whether the address is an IPv6 multicast global address.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets whether the address is an IPv6 site local address.

- Property
  4.0.0.0
  System.Boolean To be added.

  A Teredo address is an IPv6 address with the prefix of 2001::/32. Teredo addresses can be returned through normal DNS name resolution or enumerated as an IPv6 address assigned to a local interface.

  Gets whether the address is an IPv6 Teredo address.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method compares to and returns true if the two IP addresses are the same.

  In the case of IPv4, that the method returns true for any IP address of the form 127.X.Y.Z (where X, Y, and Z are in the range 0-255), not just (127.0.0.1).

  Indicates whether the specified IP address is the loopback address.

  true if is the loopback address; otherwise, false.

  An IP address. 0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  The field is equivalent to 127.0.0.1 in dotted-quad notation.

  Provides the IP loopback address. This field is read-only.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16 ``

  Different computers use different conventions for ordering the bytes within multibyte integer values. Some computers put the most significant byte first (known as big-endian order) and others put the least-significant byte first (known as little-endian order). To work with computers that use different byte ordering, all integer values that are sent over the network are sent in network byte order which has the most significant byte first.

  The method converts multibyte integer values that are stored on the host system from the byte order used by the network to the byte order used by the host.

  Converts a short value from network byte order to host byte order.

  A short value, expressed in host byte order.

  The number to convert, expressed in network byte order. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Different computers use different conventions for ordering the bytes within multibyte integer values. Some computers put the most significant byte first (known as big-endian order) and others put the least-significant byte first (known as little-endian order). To work with computers that use different byte ordering, all integer values that are sent over the network are sent in network byte order which has the most significant byte first.

  The method converts multibyte integer values that are stored on the host system from the byte order used by the network to the byte order used by the host.

  Converts an integer value from network byte order to host byte order.

  An integer value, expressed in host byte order.

  The number to convert, expressed in network byte order. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 ``

  Different computers use different conventions for ordering the bytes within multibyte integer values. Some computers put the most significant byte first (known as big-endian order) and others put the least-significant byte first (known as little-endian order). To work with computers that use different byte ordering, all integer values that are sent over the network are sent in network byte order which has the most significant byte first.

  The method converts multibyte integer values that are stored on the host system from the byte order used by the network to the byte order used by the host.

  Converts a long value from network byte order to host byte order.

  A long value, expressed in host byte order.

  The number to convert, expressed in network byte order. 0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress

  The method uses the field to indicate that a must not listen for client activity. The field is equivalent to 255.255.255.255 in dotted-quad notation.

  Provides an IP address that indicates that no network interface should be used. This field is read-only.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.IPAddress `` is . is not a valid IP address.

  The static method creates an instance from an IP address expressed in dotted-quad notation for IPv4 and in colon-hexadecimal notation for IPv6.

  The number of parts (each part is separated by a period) in determines how the IP address is constructed. A one part address is stored directly in the network address. A two part address, convenient for specifying a class A address, puts the leading part in the first byte and the trailing part in the right-most three bytes of the network address. A three part address, convenient for specifying a class B address, puts the first part in the first byte, the second part in the second byte, and the final part in the right-most two bytes of the network address. For example:

  Number of parts and example

  IPv4 address for IPAddress

  1 -- "65536"

  0.0.255.255

  2 -- "20.2"

  20.0.0.2

  2 -- "20.65535"

  20.0.255.255

  3 -- "128.1.2"

  128.1.0.2

  Converts an IP address string to an instance.

  An instance.

  A string that contains an IP address in dotted-quad notation for IPv4 and in colon-hexadecimal notation for IPv6. 0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added.

  The meaning of changes depending on the context in which it is used.

  Link-local address. On a host with multiple interfaces connected to separate links, the same link-local address can be assigned to multiple interfaces. To eliminate this ambiguity, a scope identifier is used to specify the interface over which messages are exchanged.

  Link-local addresses, identified by the Format Prefix (FP) FE80, are used by nodes when communicating with neighboring nodes on the same link.

  Site-local addresses. A host can be connected to multiple sites. In this case, a scope identifier is used to indicate a specific site to communicate with.

  Site-local addresses, identified by the Format Prefix (FP) FEC0, are used by nodes when communicating on private intranets.

  The notation that is used to specify the with an address is Address%ScopeId. For example, FE80::5EFE:192.168.41.30%2.

  Gets or sets the IPv6 address scope identifier.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The method converts the IP address that is stored in the property to either IPv4 dotted-quad or IPv6 colon-hexadecimal notation.

  Converts an Internet address to its standard notation.

  A string that contains the IP address in either IPv4 dotted-quad or in IPv6 colon-hexadecimal notation.

  0
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
0